Subject: [bug#35281] [PATCH] gnu: docker: Add a couple go dependencies and enable docker-proxy.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 15 Apr 2019 18:14:25 -0400

Hi Danny!

Danny Milosavljevic <[email-masked]> writes:

> Hi,
>
> On Sun, 14 Apr 2019 19:02:53 -0400
> Maxim Cournoyer <[email-masked]> wrote:
>
>> +         ;; The tests fail with the error:
>> +         ;; src/github.com/docker/libnetwork/network.go:1057: Warnf format %q
>> +         ;; has arg n.configOnly of wrong type bool.
>> +         #:tests? #f))
>> +      (home-page "https://github.com/docker/libnetwork/")
>
> It might make sense to report that bug upstream--they're helpful people.
>
> Otherwise LGTM!

Thanks for bringing my attention to that part; I've tried re-enabling
the tests but it seems to fail because of unmet dependencies now --
which makes sense since I'm not adding any inputs.  I've removed the
tests? #f argument and detailed in the top comment that this is simply
used as a template and doesn't even build.

Thanks for the review!

Maxim